Silva Issue Tracker Archive: Issue1625

 This tracker has been migrated to Launchpad. Please post new messages at: https://bugs.launchpad.net/silva.
Title changing users settings of local users
Priority feature Status deferred
Superseder (list) Nosy List daniel, faassen, flynt, kitblake, lbenno, mpetit, wim, yserrano (list)
Assigned To daniel Topics Silva-1.6 (list)

Created on 2006-09-22.14:59:21 by wim, last changed 2007-02-17.06:49:07 by kitblake.

Messages
msg9167 (view) Author: kitblake Date: 2007-02-17.06:49:06
We're not going to fix this in the 1.5 range, and we need to investigate the
'why' before changing anything.
msg9021 (view) Author: kitblake Date: 2007-01-22.10:22:49
Since Reinhard has a better memory than I do, I'd better rescind my statement
until I find out why we haven't supported it in the past. It may not be
possible, or a good idea.
msg9020 (view) Author: kitblake Date: 2007-01-22.10:19:11
> However, it should have been fixed in the past, that in a situation with one
> acl_users in Silva Root any user can change his user settings. Can we trust on that?

Yes, that works as it always did.
msg9019 (view) Author: flynt Date: 2007-01-22.08:52:42
Up to now, following a statement of Infrae sometime in the past, at ETH we do
not officially support nested acl_users. There were some efforts in the past
with a "satellite acl_users", but the work on that has been dropped.

However, it should have been fixed in the past, that in a situation with one
acl_users in Silva Root any user can change his user settings. Can we trust on that?
msg9018 (view) Author: kitblake Date: 2007-01-22.06:33:41
This problem did not get fixed, while there are lots of sites out there with
nested acl_users.
msg8798 (view) Author: thisfred Date: 2006-10-10.13:43:48
No this is not connected to the other 2 issues.
msg8791 (view) Author: flynt Date: 2006-10-10.11:16:24
Is this connected with 

https://infrae.com/issue/silva/issue1626
and
https://infrae.com/issue/silva/issue1621 ?
msg8744 (view) Author: wim Date: 2006-09-22.14:59:20
In a local folder with it's own acl_users it's not possible to change your own
user settings. You are asked to login but are not authorized to change your
personal settings.
When you try to change your personal settings and login with a user with manager
rights in the root you are able to log in as that manager and change your
"manager" user settings. If you then refresh you can see in the right bottom
that you're still logged in as the non-manger user with the local rights but if
you click on the uses settings you still get the managers personal information.
If you create a document you create it as the non-manager user with the local
rights. So there is something wrong with de users settings in Silva 1.5. I'll
test it on Silva 1.6
History
Date User Action Args
2007-02-17 06:49:07kitblakesetstatus: chatting -> deferred
topic: - Silva-1.5
messages: + msg9167
2007-02-06 14:03:10thisfredsetnosy: + daniel
assignedto: daniel
2007-01-22 10:50:47kitblakesetpriority: critical -> feature
2007-01-22 10:22:50kitblakesetmessages: + msg9021
2007-01-22 10:19:12kitblakesetmessages: + msg9020
2007-01-22 08:52:43flyntsetnosy: + yserrano
messages: + msg9019
2007-01-22 06:33:42kitblakesetpriority: bug -> critical
status: deferred -> chatting
messages: + msg9018
nosy: + mpetit
2007-01-19 07:33:12kitblakesetstatus: chatting -> deferred
2006-10-10 13:43:49thisfredsetmessages: + msg8798
2006-10-10 11:16:26flyntsettopic: + Silva-1.6
status: unread -> chatting
messages: + msg8791
2006-10-10 11:15:48flyntsetnosy: + faassen, kitblake
2006-10-10 11:15:19flyntsetnosy: + lbenno, flynt
2006-09-22 14:59:22wimcreate